//+------------+-----------------------------------------------------+
//| v.23.04.08 |                                    CalcLotsAFPM.mq4 |http://forum.mql4.com/ru/12242
//|            |              Bookkeeper, 2008, yuzefovich@gmail.com |http://forum.mql4.com/ru/20353/page10#288632
//+------------+-----------------------------------------------------+
/*-------------------------------------------------------------------+

              ,   .

... "   ,     ?".
...  .   -       .

     . :          EURUSD 160 . 
   ..          0.01.
     ,      ?
   
   Integer 23.04.2008 15:54
 ! -       ,   $. 



1781 	Bookkeeper 23.04.2008 16:19
     
double level=depo+MarginMinLot*n;
  
double level=MarginMinLot*(1+n);
     "   "
==================
   : 
    , " :  ,  ".
    ,  -  .
   ,  : http://forum.mql4.com/ru/12080

      :
          
   (,   )   :
      + (   ) =  
   : 
     =$10.000 (  )
     = 1
    = $5.000 -    .    
   .  -     ,
          
    /  .     
   .   :   ,   
      ,    ,  
     . :
   $10.000 + (1  $5.000) = $15.000 ,   
     1.
       15.000 ,  $15.000 
       :
   $15.000 + (2  $5.000) = $25.000
     :
   $25.000 + (3  $5.000) = $40.000
   $40.000 + (4  $5.000) = $60.000
   $60.000 + (5  $5.000) = $85.000  ..

     :
     ,      ,
      ,     . 
     :
         
   /-,     -   
   -    :).
   
    -  :
     =$300. 
     - : " ".
    -   1  ().
   
   :

//+-----------------------------------------------------------------*/
#property copyright ""
#property link      ""
#property indicator_chart_window
//----
extern int depo=300;  //     
                     //     
//   depo=0 -    
//   (   )
//----
bool first=true, firstAlert=true;
double MinLot, MaxLot;   
int NMinLotInMaxLot;
//+------------------------------------------------------------------+
int ObjectMakeLabel( string s, int x, int y )
{
   ObjectCreate( s, OBJ_LABEL, 0, 0, 0 );
   ObjectSet( s, OBJPROP_CORNER, 1 );
   ObjectSet( s, OBJPROP_XDISTANCE, x );
   ObjectSet( s, OBJPROP_YDISTANCE, y );
   ObjectSet( s, OBJPROP_BACK, true );
}
//+------------------------------------------------------------------+
void deinit() 
{
   ObjectDelete( "TL" );
   ObjectDelete( "L" );
   return; 
}
//---------------------------------------------------------------------
int init()
{
   ObjectMakeLabel("TL", 60, 25);
   ObjectMakeLabel("L", 15, 25);
   return(0);
}
//+------------------------------------------------------------------+
int start()
{
   string s;
   if(first==true)
   {
      //     
      MinLot=MarketInfo(Symbol(),MODE_MINLOT);
      MaxLot=MarketInfo(Symbol(),MODE_MAXLOT);
      //    
      NMinLotInMaxLot=MaxLot/MinLot;
   }
   double L=LotsAFPM();
   if(L<0) s="0.00";
   else s=DoubleToStr(L,2);
   ObjectSetText("TL", "Lots:", 10, "System", Blue);
   ObjectSetText( "L", s, 10, "System", Blue);
   return(0);
}
//---------------------------------------------------------------------
double LotsAFPM()
{
   //    
   double MarginMinLot=MarketInfo(Symbol(),MODE_MARGINREQUIRED)*MinLot;
   //   
   double FreeMargin=AccountFreeMargin();
   //     :(
   if(MarginMinLot>FreeMargin) return(-1.0);
   //   ,        
   if(depo<MarginMinLot) depo=MarginMinLot;
   int n=1;
   int m=NMinLotInMaxLot-1;
   double level=depo+MarginMinLot*n;
   while(level<FreeMargin && n<m)
   {
      n++;
      level=level+MarginMinLot*n;
   }
   double lots=MinLot*n;
   return(lots);
}
//---------------------------------------------------------------------

